// file      : CCF/CIDL/LexicalAnalyzer.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : LexicalAnalyzer.hpp,v 1.2 2003/07/29 21:45:39 boris Exp

#ifndef CCF_CIDL_LEXICAL_ANALYZER_HPP
#define CCF_CIDL_LEXICAL_ANALYZER_HPP

#include "CCF/IDL3/LexicalAnalyzer.hpp"

namespace CCF
{
  namespace CIDL
  {
    class LexicalAnalyzer : public virtual IDL3::LexicalAnalyzer
    {
    public:
      LexicalAnalyzer (TokenStream<char>& is);
    };
  }
}

#endif  // CCF_CIDL_LEXICAL_ANALYZER_HPP
